package com.ss.android.ugc.aweme.shortvideo.ui.task;

import X.0CB;
import X.0CD;
import X.0CH;
import X.0CN;
import X.C31126Is;
import X.C43426ma;
import X.M12;
import X.MIu;
import X.MO7;
import X.MWE;
import X.NgJ;
import com.bytedance.covode.number.Covode;
import kotlin.h.b.n;

public final class PreloadMusicListTask implements C31126Is, MWE {
    static {
        Covode.recordClassIndex(113385);
    }

    public final boolean LIZIZ() {
        return false;
    }

    public final void onStateChanged(0CH r2, 0CB r3) {
        if (r3 == 0CB.ON_DESTROY) {
            onDestroy();
        }
    }

    public final void LIZ() {
        if (MIu.LIZ()) {
            C43426ma.LIZ.LIZIZ().LIZLLL();
        }
    }

    @0CN(LIZ = 0CB.ON_DESTROY)
    public final void onDestroy() {
        C43426ma.LIZ.LIZIZ().LJ();
    }

    public final NgJ LIZJ() {
        int LIZ = MO7.LIZ();
        if (LIZ == 1) {
            return NgJ.P1;
        }
        if (LIZ == 2) {
            return NgJ.P3;
        }
        NgJ ngJ = NgJ.P1;
        n.LIZIZ(ngJ, "");
        return ngJ;
    }

    public PreloadMusicListTask(0CD r2) {
        M12.LIZ(r2);
        r2.LIZ(this);
    }
}
